
ohai 'reload' do
  plugin 'hostname'
  action :nothing
end

unless node['systemd']['hostnamectl']['hostname'].nil?
  execute "hostnamectl --no-ask-password #{node['systemd']['hostnamectl']['hostname']}" do
    command "hostnamectl --no-ask-password #{node['systemd']['hostnamectl']['hostname']}"
    not_if { Mixlib::ShellOut.new("hostnamectl --no-ask-password --static | grep -q ^#{node['systemd']['hostnamectl']['hostname']}") }
    notifies :reload, 'ohai[reload]', :immediately
  end
end
